## kf6-kfilemetadata 6.16.0

=== debian/changelog ===
kf6-kfilemetadata (6.16.0-0ubuntu2) questing; urgency=medium

  * No change rebuild for kdegraphics-mobipocket.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 09:39:58 +0100

kf6-kfilemetadata (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:42:18 +0100

kf6-kfilemetadata (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:32:51 +0100

kf6-kfilemetadata (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:21 +0100
