=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kf6-kfilemetadata
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libappimage-dev (>= 0.1.10~) [linux-any],
                libattr1-dev,
                libavcodec-dev (>= 7:3.1~),
@@ -18,11 +19,11 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.26~),
-               libkf6archive-dev (>= 6.13.0~),
-               libkf6codecs-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
+               libkf6archive-dev (>= 6.16.0~),
+               libkf6codecs-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
                libpoppler-qt6-dev (>= 0.12.1) [!i386],
                libpostproc-dev,
                libqmobipocket6-dev (>= 4:2.1~),
@@ -33,10 +34,10 @@
                python3:any,
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.1
 Homepage: https://invent.kde.org/frameworks/kfilemetadata
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kfilemetadata
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kfilemetadata.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kfilemetadata
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kfilemetadata
 Rules-Requires-Root: no
 
 Package: libkf6filemetadata-bin
@@ -67,8 +68,8 @@
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf6filemetadata-dev-tools (= ${source:Version}),
-            libkf6filemetadata-doc (= ${source:Version}),
+Recommends: libkf6filemetadata-doc (= ${source:Version}),
+            libkf6filemetadata-dev-tools (= ${source:Version}),
 Multi-Arch: same
 Description: library for extracting file metadata
  This library is for extracting file metadata.
@@ -80,7 +81,8 @@
 Package: libkf6filemetadata-dev-tools
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Multi-Arch: foreign
 Description: development tools file metadata frameworks
  This package provides the kfilemetadata_dump6 tool for dumping file
