=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libappimage-dev (>= 0.1.10~) [linux-any],
                libattr1-dev,
                libavcodec-dev (>= 7:3.1~),
@@ -19,11 +19,11 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.26~),
-               libkf6archive-dev (>= 6.16.0~),
-               libkf6codecs-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
+               libkf6archive-dev (>= 6.17.0~),
+               libkf6codecs-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
                libpoppler-qt6-dev (>= 0.12.1) [!i386],
                libpostproc-dev,
                libqmobipocket6-dev (>= 4:2.1~),
