=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,16 @@
 ecm_add_test(extractorcoveragetest.cpp
     TEST_NAME "extractorcoveragetest"
     LINK_LIBRARIES Qt6::Test KF6::FileMetaData
+)
+
+#
+# Date/Time parser and timezone handling
+#
+ecm_add_test(
+    datetimetests.cpp
+    ${KfileMetaDataAutotest_SRCS}
+    TEST_NAME "datetimetest"
+    LINK_LIBRARIES Qt6::Test
 )
 
 #
