=== debian/changelog ===
kf6-kfilemetadata (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:16:43 +0200

kf6-kfilemetadata (6.13.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove libpostproc-dev as B-D (Closes: #1114962).

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 22:16:13 +0200

kf6-kfilemetadata (6.13.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build failure with CMake 4 (Closes: #1113076).

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Sep 2025 12:09:28 +0200
