=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kf6-kfilemetadata
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
                libappimage-dev (>= 0.1.10~) [linux-any],
                libattr1-dev,
                libavcodec-dev (>= 7:3.1~),
@@ -18,31 +17,31 @@
                libavformat-dev (>= 7:3.1~),
                libavutil-dev,
                libepub-dev,
-               libexiv2-dev (>= 0.26~),
-               libkf6archive-dev (>= 6.17.0~),
-               libkf6codecs-dev (>= 6.17.0~),
-               libkf6config-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
+               libexiv2-dev (>= 0.27.4~),
+               libkf6archive-dev (>= 6.18.0~),
+               libkf6codecs-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
                libpoppler-qt6-dev (>= 0.12.1) [!i386],
-               libpostproc-dev,
                libqmobipocket6-dev (>= 4:2.1~),
                libswscale-dev (>= 7:3.1~),
                libtag-dev (>= 1.12~),
                libxkbcommon-dev,
                pkgconf,
                python3:any,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kfilemetadata
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kfilemetadata
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kfilemetadata
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kfilemetadata
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kfilemetadata.git
 Rules-Requires-Root: no
 
 Package: libkf6filemetadata-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: catdoc,
 Multi-Arch: same
 Description: library for extracting file metadata
@@ -65,11 +64,11 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6filemetadata3 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf6filemetadata-doc (= ${source:Version}),
-            libkf6filemetadata-dev-tools (= ${source:Version}),
+Recommends: libkf6filemetadata-dev-tools (= ${source:Version}),
+            libkf6filemetadata-doc (= ${source:Version}),
 Multi-Arch: same
 Description: library for extracting file metadata
  This library is for extracting file metadata.
