=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON
+	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_auto_test:
 	# Disable dh_auto_test at build time
